<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ch.post.it.evoting.direct-trust-tool</groupId>
    <artifactId>direct-trust-tool</artifactId>
    <version>1.4.4.4</version>
    <relativePath>../pom.xml</relativePath>
  </parent>

  <artifactId>direct-trust-tool-frontend</artifactId>
  <packaging>pom</packaging>

  <name>Direct Trust Tool - Frontend</name>

  <build>
    <plugins>
      <plugin>
        <artifactId>maven-clean-plugin</artifactId>
        <configuration>
          <filesets>
            <fileset>
              <directory>node_modules</directory>
            </fileset>
            <fileset>
              <directory>.angular</directory>
            </fileset>
            <fileset>
              <directory>dist</directory>
            </fileset>
          </filesets>
        </configuration>
      </plugin>
      <!-- Skip JaCoCo -->
      <plugin>
        <groupId>org.jacoco</groupId>
        <artifactId>jacoco-maven-plugin</artifactId>
        <executions>
          <execution>
            <id>prepare-agent</id>
            <phase>none</phase>
          </execution>
          <execution>
            <id>report</id>
            <phase>none</phase>
          </execution>
        </executions>
      </plugin>
      <!-- Skip integration tests -->
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-failsafe-plugin</artifactId>
        <executions>
          <execution>
            <id>integration-test</id>
            <phase>none</phase>
          </execution>
        </executions>
      </plugin>
      <!-- Run NPM-->
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>exec-maven-plugin</artifactId>
        <executions>
          <execution>
            <id>npm build</id>
            <goals>
              <goal>exec</goal>
            </goals>
            <phase>compile</phase>
            <configuration>
              <executable>npm</executable>
              <arguments>
                <argument>run</argument>
                <argument>build</argument>
              </arguments>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

</project>

